Finance
User Cash Withdrawal Records
(openId, userId, mobileNumber, email) One of these four must be provided.
POST
/
platformapi
/
chainup
/
open
/
user
/
withdrawRecord
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/withdrawRecord
{
"code": "",
"msg": "",
"message": null,
"data": [
{
"symbol": "BTC",
"id": 1112,
"uid": 2302221,
"createdAt": 100892232313,
"addressTo": "xxxxxxxxx",
"amount": "20",
"txid": "xxxxxxxxxx",
"status": 1,
"statusDesc": "test",
"fee": "20",
"mobileNumber": "19982112",
"email": "xxxx@.com",
"warningLevel": 1,
"warningLevelDesc": "test",
"warningTip": "resr",
"warningTiplevel": 1
"ipAddress":"1.1.1.1.11."
},
{
"symbol": "BTC",
"id": 1112,
"uid": 2302221,
"createdAt": 100892232313,
"addressTo": "xxxxxxxxx",
"amount": "20",
"txid": "xxxxxxxxxx",
"status": 1,
"statusDesc": "test",
"fee": "20",
"mobileNumber": "19982112",
"email": "xxxx@.com",
"warningLevel": 1,
"warningLevelDesc": "test",
"warningTip": "resr",
"warningTiplevel": 1
"ipAddress":"1.1.1.1.11."
}
]
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
openId
string
openId, userId must pass one, while passing, take openId.
userId
string
openId, userId must pass one, while passing, take openId.
mobileNumber
string
Cell phone number.
Example: 09011223
email
string
User's email(openId,userId,mobileNumber,email)Four choices are required.
Example: xxxxx@xxx.com
pageSize
string
Number of pages per page (default, 20, max 1000, can be equal to 1000).
Example: 20
pageNumber
string
Number of pages (default 1, first page).
Example: 1
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
message
string
Success or failure message
Example: null
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/withdrawRecord
{
"code": "",
"msg": "",
"message": null,
"data": [
{
"symbol": "BTC",
"id": 1112,
"uid": 2302221,
"createdAt": 100892232313,
"addressTo": "xxxxxxxxx",
"amount": "20",
"txid": "xxxxxxxxxx",
"status": 1,
"statusDesc": "test",
"fee": "20",
"mobileNumber": "19982112",
"email": "xxxx@.com",
"warningLevel": 1,
"warningLevelDesc": "test",
"warningTip": "resr",
"warningTiplevel": 1
"ipAddress":"1.1.1.1.11."
},
{
"symbol": "BTC",
"id": 1112,
"uid": 2302221,
"createdAt": 100892232313,
"addressTo": "xxxxxxxxx",
"amount": "20",
"txid": "xxxxxxxxxx",
"status": 1,
"statusDesc": "test",
"fee": "20",
"mobileNumber": "19982112",
"email": "xxxx@.com",
"warningLevel": 1,
"warningLevelDesc": "test",
"warningTip": "resr",
"warningTiplevel": 1
"ipAddress":"1.1.1.1.11."
}
]
}